<?php get_header(); ?>

<?php

if( have_rows('blocks') ):

    while ( have_rows('blocks') ) : the_row();

        if( get_row_layout() == 'contact_form' ):

        ?>

        <section class="cf_section">
            <div class="container">
                <h2><?php the_sub_field('title'); ?></h2>
                <p><?php the_sub_field('text'); ?></p>
                <?php echo do_shortcode('[contact-form-7 id="59" title="Contact form"]'); ?>
            </div>
        </section>

        	

        <?php

        elseif( get_row_layout() == 'cta_simple' ): 

        ?>

        	<section class="cta_simple">
                <div class="container">
                    <?php the_sub_field('text'); ?>
                </div>
            </section>

        <?php

        elseif( get_row_layout() == 'block_+_cta' ): 

        ?>

        	<section class="block_cta">
                <div class="container">
                    <div class="cols cols2 middle_align">
                        <div>
                            <figure><img src="<?php the_sub_field('image'); ?>"></figure>
                        </div>
                        <div>
                            <div class="format_text">
                                <h3><?php the_sub_field('title'); ?></h3>
                                <h5><?php the_sub_field('subtitle'); ?></h5>
                                <?php the_sub_field('list'); ?>
                                <?php the_sub_field('text'); ?>
                            </div>
                        </div>
                    </div>
                    <div class="foot_cta">
                        <p><?php the_sub_field('text_cta'); ?></p>
                        <div><a href="<?php the_sub_field('link_button'); ?>"><?php the_sub_field('text_button'); ?></a></div>
                    </div>
                </div>
            </section>

        <?php

        elseif( get_row_layout() == 'testimonials' ): 

        ?>

        	<section class="block_testimonials">
                <div class="container">
                    
                    <div id="block_testimonials">
                        <?php
                        
                        $eltitle = get_sub_field('title');

                        if( have_rows('repeater') ):

                            while ( have_rows('repeater') ) : the_row();

                            ?>
                        
                                <div class="cols cols2">
                                    <div>
                                        <h2><?php echo $eltitle; ?></h2>
                                        <div class="contain_data_test">
                                            <figure><img src="<?php the_sub_field('avatar_image'); ?>"></figure>
                                            <div class="data_test">
                                                <h4><?php the_sub_field('name'); ?></h4>
                                                <h5><?php the_sub_field('position'); ?></h5>
                                            </div>
                                        </div>
                                        <div>
                                            <?php the_sub_field('description'); ?>
                                            <div class="nav_arrow">
                                                <span class="slick-next slick-arrow arrow_right"><img src="<?php echo get_template_directory_uri(); ?>/images/arrow_right.png"></span>
                                                <span class="slick-prev slick-arrow arrow_left"><img src="<?php echo get_template_directory_uri(); ?>/images/arrow_left.png"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="special_col">
                                        <figure class="big_image"><img src="<?php the_sub_field('big_image'); ?>"></figure>
                                        <div class="rs_testimonials">
                                            <a href="<?php the_sub_field('link_twitter'); ?>"><i class="fab fa-twitter"></i></a>
                                            <a href="<?php the_sub_field('link_facebook'); ?>"><i class="fab fa-facebook-f"></i></a>
                                            <a href="<?php the_sub_field('link_linkedin'); ?>"><i class="fab fa-linkedin-in"></i></a>
                                        </div>
                                    </div>
                                </div>
                        
                            <?php

                            endwhile;

                        else :

                            // no rows found

                        endif;

                        ?>
                        
                    </div>
                    
                </div>
            </section>

        <?php

        elseif( get_row_layout() == 'image_+_text' ): 

        ?>

        <section class="image_text">
            <figure>
                <span><img src="<?php the_sub_field('logo'); ?>"></span>
                <img src="<?php the_sub_field('image'); ?>">
            </figure>
            <div>
                <h2><?php the_sub_field('title'); ?></h2>
                <div>
                    <?php the_sub_field('text'); ?>
                </div>
                <div class="bg_gray">
                    <p class="quote"><?php the_sub_field('quote'); ?></p>
                    <a class="btn" href="<?php the_sub_field('button_link'); ?>"><?php the_sub_field('button_text'); ?></a>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'services' ): 

        ?>

        <section class="services_block">
            <div class="container">
                <h2 class="title"><?php the_sub_field('title'); ?></h2>
                <ul id="services_list">
                <?php 
                    query_posts(array( 
                        'post_type' => 'service',
                        'posts_per_page' => '-1'
                    )); 
                    ?>

                    <?php while (have_posts()) : the_post(); ?>

                    <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>


                    <li>
                        <div>
                            <figure><img src="<?php echo $thumb['0'];?>"></figure>
                            <h3><?php the_title(); ?></h3>
                            <a href="<?php the_permalink(); ?>">LEARN MORE <i class="fas fa-arrow-right"></i></a>
                        </div>
                    </li>

                    <?php endwhile;?>
                    <?php wp_reset_query(); ?>
                </ul>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'banner_+_slide' ): 

        ?>

        <section id="banner_slide">
            <div class="container">
                <div id="cols_banner">
                    <div>
                        <div id="content_slide">
                            <h4><?php the_sub_field('top_text'); ?></h4>
                            <h2><?php the_sub_field('title'); ?></h2>
                            <?php the_sub_field('text'); ?>
                            <?php if( get_sub_field('id_youtube_video') ): ?>
	                           <a href="#" id="videotop" class="wp-video-popup"><img src="<?php echo get_template_directory_uri(); ?>/images/play_video.svg"></a>
                            <?php endif; ?>
                            <?php 
                                $linkvideo = get_sub_field('id_youtube_video');
                                echo do_shortcode('[wp-video-popup mute="1" video="'. $linkvideo .'"]'); 
                            ?>
                        </div>
                    </div>
                    <div>
                        <div id="slider_banner">
                            <?php

                            if( have_rows('slides') ):

                                while ( have_rows('slides') ) : the_row();
                                ?>
                                    <div>
                                        <img src="<?php the_sub_field('image'); ?>">
                                    </div>
                                <?php
                                endwhile;

                            else :

                                // no rows found

                            endif;

                            ?>
                        </div>
                        <div id="links_banner_top">
                            <a href="mailto:<?php the_field('mail','option'); ?>">E-MAIL</a>
                            <a href="<?php the_field('facebook','option'); ?>">FACEBOOK</a>
                            <a href="<?php the_field('linkedin','option'); ?>">LINKEDIN</a>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'three_images_block' ): 

        ?>

        <section class="three_images_block">
            <div class="container">
                <div class="cols middle_align cols_13_33">
                    <div>
                        <div class="imagescitas">
                            <div>
                                <figure><img src="<?php the_sub_field('left_image'); ?>"></figure>
                            </div>
                            <div>
                                <figure><span style="background:<?php the_sub_field('top_image_border_color'); ?>"></span><img src="<?php the_sub_field('top_image'); ?>"></figure>
                                <figure><img src="<?php the_sub_field('bottom_image'); ?>"></figure>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="common_style">
                            <h2><?php the_sub_field('title'); ?></h2>
                            <?php the_sub_field('text'); ?>
                            <a class="btn" href="<?php the_sub_field('link_button'); ?>"><?php the_sub_field('text_button'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'what_we_offer_block' ): 

        ?>

        <section class="what_we_offer_block">
            <div class="container">
                <div class="cols cols_table">
                    <div>
                        <h2><?php the_sub_field('title') ?></h2>
                        <?php the_sub_field('text') ?>
                        <img src="<?php echo get_template_directory_uri(); ?>/images/arrow_blocks.png" style="display: block;margin-left: auto;position: relative;left: -40px;margin-top: 40px;">
                    </div>
                    <div>
                        <div class="grid_custom">
                            <div>
                                <div class="item">
                                    <div style="background:url(<?php the_sub_field('image_item_1') ?>)" class="imagen"></div>
                                    <div class="texto">
                                        <p><?php the_sub_field('text_item_1') ?></p>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div class="item dark">
                                    <div style="background:url(<?php the_sub_field('image_item_2') ?>)" class="imagen"></div>
                                    <div class="texto">
                                        <p><?php the_sub_field('text_item_2') ?></p>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div class="item dark">
                                    <div class="texto">
                                        <p><?php the_sub_field('text_item_3') ?></p>
                                    </div>
                                    <div style="background:url(<?php the_sub_field('image_item_3') ?>)" class="imagen"></div>
                                </div>
                            </div>
                            <div>
                                <div class="item">
                                    <div class="texto">
                                        <p><?php the_sub_field('text_item_4') ?></p>
                                    </div>
                                    <div style="background:url(<?php the_sub_field('image_item_4') ?>)" class="imagen"></div>
                                </div>
                            </div>
                            <div>
                                <div class="item">
                                    <div style="background:url(<?php the_sub_field('image_item_5') ?>)" class="imagen"></div>
                                    <div class="texto">
                                        <p><?php the_sub_field('text_item_5') ?></p>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div class="item dark">
                                    <div style="background:url(<?php the_sub_field('image_item_6') ?>)" class="imagen"></div>
                                    <div class="texto">
                                        <p><?php the_sub_field('text_item_6') ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="full_item" style="background:url(<?php the_sub_field('image_item_7') ?>)">
                            <p><?php the_sub_field('text_item_7') ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'block_tex_image_with_text' ): 

        ?>

        <section class="block_tex_image_with_text">
            <div class="container">
                <div class="cols">
                    <div class="image">
                        <figure>
                            <span class="border_square"></span>
                            <img src="<?php the_sub_field('image') ?>">
                            <div class="foota">
                                <h4><?php the_sub_field('image_title') ?></h4>
                                <p><?php the_sub_field('image_description') ?></p>
                            </div>
                        </figure>
                    </div>
                    <div class="text">
                        <h2><?php the_sub_field('title') ?></h2>
                        <?php the_sub_field('text') ?>
                        <img src="<?php echo get_template_directory_uri(); ?>/images/arrow_blocks_2.png" style="display: block;position: relative;margin-top: 40px;">
                    </div>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'block_text_+_image_with_text_variant' ): 

        ?>

        <section class="block_tex_image_with_text block_tex_image_with_text_variant">
            <div class="container">
                <div class="cols">
                    <div class="text">
                        <h2><?php the_sub_field('title') ?></h2>
                        <?php the_sub_field('text') ?>
                    </div>
                    <div class="image">
                        <figure>
                            <span class="border_square"></span>
                            <img src="<?php the_sub_field('image') ?>">
                        </figure>
                    </div>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'black_block_text_image' ): 

        ?>

        <section class="black_block_text_image">
            <div class="container">
                <div class="cols cols2 middle_align">
                    <div>
                        <?php the_sub_field('text') ?>
                        <a class="btn" href="<?php the_sub_field('link_button') ?>"><?php the_sub_field('text_button') ?></a>
                    </div>
                    <div>
                        <figure>
                            <img src="<?php the_sub_field('image') ?>">
                        </figure>
                    </div>
                </div>
            </div>
        </section>

        <?php

        elseif( get_row_layout() == 'text_block_two_cols' ): 

        ?>

        <section class="text_block_two_cols">
            <div class="container">
                <div class="cols cols2 middle_align">
                    <div>
                        <?php the_sub_field('col_1_text') ?>
                    </div>
                    <div>
                        <div class="blocky">
                            <?php the_sub_field('col_2_text') ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <?php

        endif;

    endwhile;

else :

    // no layouts found

endif;

?>

<?php get_footer(); ?>